/*
 * AXEL -- An audio mixing and sequencing library.
 *
 * Copyright (C) 2001 Commonwealth Scientific and Industrial Research
 * Organisation (CSIRO), Australia.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/*
 * ax_channelset: default channel sets.
 *
 * Conrad Parker <Conrad.Parker@CSIRO.AU>, August 2001
 */

#define __AXEL__
#include "axel.h"

CDSet AX_MONO = AxNone;
CDSet AX_STEREO = AxNone;

void
ax_channelset_initialise_defaults (AXEL axel)
{
  if (AX_MONO == NULL) {
    AX_MONO = cd_set_new (axel);
    AX_MONO = cd_set_insert (axel, AX_MONO, AX_CHANNEL_LEFT, CD_POINTER(NULL));
  }

  if (AX_STEREO == NULL) {
    AX_STEREO = cd_set_new (axel);
    AX_STEREO = cd_set_insert (axel, AX_STEREO, AX_CHANNEL_LEFT,
			       CD_POINTER(NULL));
    AX_STEREO = cd_set_insert (axel, AX_STEREO, AX_CHANNEL_RIGHT,
			       CD_POINTER(NULL));
  }

  return;
}
