/*
 * syssimple -- a portable, consistent system interface
 *
 * Copyright (C) 2001 Commonwealth Scientific and Industrial Research
 * Organisation (CSIRO), Australia.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/*
 * Conrad Parker <Conrad.Parker@CSIRO.AU>, August 2001
 */

#ifndef __SYSSIMPLE_H__
#define __SYSSIMPLE_H__

#include <stdio.h> /* for NULL */
#include <limits.h>
#include <sys/types.h> /* for size_t */

#define SS_MAXLINE 4096

#define MIN(a,b) ((a)<(b)?(a):(b))
#define MAX(a,b) ((a)>(b)?(a):(b))

void ss_exit_err (const char * fmt, ...) __attribute__ ((noreturn));
void ss_print_err (const char * fmt, ...);
#define ss_print_debug(x,y...) {if (x <= ss_debug_level) ax_print_err (y);}
void * ss_malloc (size_t size);
void ss_free (void * ptr);
char * ss_get_homedir (void);

#endif /* __SYSSIMPLE_H__ */
