/*
 * noisetest.c
 *
 * Copyright (C) 2001 Commonwealth Scientific and Industrial Research
 * Organisation (CSIRO), Australia.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation.  No representations are made about the suitability of this
 * software for any purpose.  It is provided "as is" without express or
 * implied warranty.
 *
 */

#include <axel.h>

int
main (int argc, char ** argv)
{
  AXEL axel;
  AxDeck deck;
  AxTrack track;
  AxLayer l1, l2, l3;
  AxPlugin noise_plugin;
  AxBase noise1, noise2;
  AxCount length;
  AxMonitor monitor;
  int i;

  axel = axel_init ();
  ax_set_channels (axel, AX_MONO);

  deck = ax_deck_new (axel);
  track = ax_add_track (axel, deck);

  noise_plugin = ax_find_plugin (axel, "axelstd::noise");

  noise1 = ax_new (axel, noise_plugin, NULL);
  noise2 = ax_new (axel, noise_plugin, NULL);

  l1 = ax_add_layer_ontop (axel, track, AX_TIME_SAMPLES);
  for (i=0; i < 10; i++) {
    ax_add_sound (axel, noise1, l1, AX_SAMPLES(i*2500), AX_SAMPLES(1250));
  }

  length = ax_length (axel, deck);

  monitor = ax_monitor_new (axel);

  l3 = ax_add_layer_ontop (axel, track, AX_TIME_SAMPLES);
  ax_add_sound (axel, monitor, l3, AX_SAMPLES(0), AX_SAMPLES(length));

  ax_process (axel, deck, length, AxNone, AxNone);

  axel_purge (axel);

  exit (0);
}
